Author Topic: LPC1769 from Command Line  (Read 11080 times)

Nabistay

  • Jr. Member
  • **
  • Posts: 1
    • View Profile
LPC1769 from Command Line
« on: February 23, 2011, 11:09:46 am »
Hello. I am attempting to program an LPC1769 using flash magic and the USB-ISP-LPC2k.

It works perfectly through the GUI, but through the command line, i receive the error:

ERROR: Invalid parameters for DEVICE directive: DEVICE(LPC1769,25.0000000)

this command was directly from the "Save Command Line Directives" right after a successful programming of the device through the GUI.

These are the commands from the GUI:

COM(3, 230400)
DEVICE(LPC1769, 25.000000)
INTERFACE(FDIUSBICPLPC2K)
HARDWARE(BOOTEXEC, 300, 300)
ERASEUSED(E:\Dropbox\Senior Thesis - Group\PCB Software\Test\test.hex, PROTECTISP)
HEXFILE(E:\Dropbox\Senior Thesis - Group\PCB Software\Test\test.hex, NOCHECKSUMS, NOFILL, PROTECTISP)


This is the error:


C:\Program Files (x86)\Flash Magic>FM.EXE COM(3, 230400) DEVICE(LPC1769, 25.0000
00) INTERFACE(FDIUSBICPLPC2K) HARDWARE(BOOTEXEC, 300, 300) ERASEUSED(E:\Dropbox\
Senior Thesis - Group\PCB Software\Test\test.hex, PROTECTISP) HEXFILE(E:\Dropbox
\Senior Thesis - Group\PCB Software\Test\test.hex, NOCHECKSUMS, NOFILL, PROTECTI
SP)
Flash Magic Version 5.80.2216
8051/XA Driver Version 2.78.2196
ARM UART Driver Version 2.18.2198
ARM Cortex UART Driver Version 1.45.2208
ARM Ethernet Driver Version 1.09.2196
ARM CAN Driver Version 1.09.2198
(C) Embedded Systems Academy 2000-2011 All rights reserved
NON PRODUCTION USE ONLY

ERROR: Invalid parameters for DEVICE directive: DEVICE(LPC1769,
25.000000)

Andy Ayre

  • ESAcademy Staff
  • Sr. Member
  • *****
  • Posts: 2172
    • View Profile
    • Embedded Systems Academy, Inc.
    • Email
Re: LPC1769 from Command Line
« Reply #1 on: February 24, 2011, 04:03:18 am »
This is an omission from the Command Line version. Please try version 5.81. Thanks for letting us know.

Andy
Embedded Systems Academy, Inc.
support at esacademy dot com

kanoop

  • Jr. Member
  • **
  • Posts: 3
    • View Profile
Re: LPC1769 from Command Line
« Reply #2 on: March 15, 2011, 04:24:14 pm »
Same problem. So, how does one try version 5.81 then? Can't see anywhere to download old versions.

Andy Ayre

  • ESAcademy Staff
  • Sr. Member
  • *****
  • Posts: 2172
    • View Profile
    • Embedded Systems Academy, Inc.
    • Email
Re: LPC1769 from Command Line
« Reply #3 on: March 16, 2011, 02:06:45 am »
Do you really think we are going to add something into version 5.81 and then take it out again in version 5.82...?

Please try the current version.
Embedded Systems Academy, Inc.
support at esacademy dot com

kanoop

  • Jr. Member
  • **
  • Posts: 3
    • View Profile
Re: LPC1769 from Command Line
« Reply #4 on: March 16, 2011, 03:49:40 am »
I am using the current version, of course, as that is all that I can download...  ;)

Okay, so the problem isn't exactly the same, I am actually trying to program an LPC1759 but as the release notes say that that was supported since version 5.50, I assumed you hadn't taken the support out again...

Andy Ayre

  • ESAcademy Staff
  • Sr. Member
  • *****
  • Posts: 2172
    • View Profile
    • Embedded Systems Academy, Inc.
    • Email
Re: LPC1769 from Command Line
« Reply #5 on: March 16, 2011, 06:29:36 am »
LPC1759 was never supported on the command line... until now. Please try version 5.83.

Andy
Embedded Systems Academy, Inc.
support at esacademy dot com

kanoop

  • Jr. Member
  • **
  • Posts: 3
    • View Profile
Re: LPC1769 from Command Line
« Reply #6 on: March 16, 2011, 01:46:17 pm »
Excellent, sorted.  Thanks for the quick fix.

I think it would be good if the program either supported all the devices in the command line mode that are supported in the GUI, or did something like greyed out the 'Save Command Line Directives' option for unsupported devices.  That way you'd know whether or not the selected device was supported.